DBUS_RUNNER=dbus-test-runner --max-wait=0

AM_CPPFLAGS = \
	$(UNITY_WEBAPPS_CFLAGS) \
	$(UNITY_WEBAPPS_DAEMON_CFLAGS) \
	-DUNITY_WEBAPPS_ENABLE_DEBUG \
	-I$(top_srcdir)/src/ \
	-I$(top_srcdir)/src/context-daemon/util \
	-I$(top_srcdir)/src/libunity-webapps-repository/ \
	-DUNITY_WEBAPPS_TEST_BUILD \
	$(UNITY_WEBAPPS_COVERAGE_CFLAGS)

REAL_TESTS = \
	test-application-repository 


RUNNER_TESTS =

noinst_PROGRAMS = \
	$(REAL_TESTS) 

test_application_repository_SOURCES = \
	test-application-repository.c 


test_application_repository_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_DAEMON_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps-repository/libunity-webapps-repository.la

TESTS = $(REAL_TESTS) $(RUNNER_TESTS)

CLEANFILES = $(RUNNER_TESTS) $(REAL_TESTS)
